<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">
<h:head>
	<title>Consulta de Tareas</title>
</h:head>
<h:body>
	<p:fieldset legend=" Consultar Actividades"
		style="margin-top:10px;margin-bottom:10px;">
		<h:panelGrid columns="2">
			<h:form id="formTarea">
				<h:panelGrid columns="12" cellpadding="4" cellspacing="2">
					<p:inputText placeholder="Buscar">
						<i class="pi pi-search" style="margin-right: 10px;" />
					</p:inputText>
				</h:panelGrid>
			</h:form>
			</h:panelGrid>
			
			<h:form id="consultaTable">
					<p:dataTable var="ver" value="#{gestionActividades.listActividades}"
						paginator="true" rows="3">
						<f:facet name="header">Actividades Programadas</f:facet>
						<p:column headerText="Actividad">
							<h:outputLabel value="#{ver.nombre}" />
						</p:column>
						<p:column headerText="Asignada">
							<h:outputLabel value="#{ver.usuarios.user}" />
						</p:column>
						<p:column headerText="Fecha Finalización">
							<h:outputLabel value="#{ver.fecha}" />
						</p:column>
						<p:column headerText="Estado">
							<h:outputLabel value="#{ver.estados.estado}" />
						</p:column>
						<p:column headerText="Acciones">
							<p:commandButton value="Editar"
								actionListener="#{gestionActividades.findActById(ver)}"
								update="formTarea" />
							
						</p:column>
					</p:dataTable>
				</h:form>
			
			
		
	</p:fieldset>
</h:body>
</html>